CVE-2014-0569

Integer overflow in Adobe Flash Player before 13.0.0.250 and 14.x and 15.x before 15.0.0.189 on Windows and OS X and before 11.2.202.411 on Linux, Adobe AIR before 15.0.0.293, Adobe AIR SDK before 15.0.0.302, and Adobe AIR SDK & Compiler before 15.0.0.302 allows attackers to execute arbitrary code via unspecified vectors.
Configurations

Configuration 1 (hide)

AND
cpe:2.3:a:adobe:flash_player:*:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:-:*:*:*:*:*:*:*

Configuration 2 (hide)

AND
cpe:2.3:a:adobe:flash_player:*:*:*:*:extended_support:*:*:*
OR cpe:2.3:o:apple:macos:-:*:*:*:*:*:*:*
cpe:2.3:o:microsoft:windows:-:*:*:*:*:*:*:*

Configuration 3 (hide)

AND
cpe:2.3:a:adobe:flash_player:*:*:*:*:*:chrome:*:*
OR cpe:2.3:o:apple:macos:-:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:-:*:*:*:*:*:*:*
cpe:2.3:o:microsoft:windows:-:*:*:*:*:*:*:*

Configuration 4 (hide)

AND
OR cpe:2.3:a:adobe:flash_player:*:*:*:*:*:internet_explorer_10:*:*
cpe:2.3:a:adobe:flash_player:*:*:*:*:*:internet_explorer_11:*:*
OR cpe:2.3:o:microsoft:windows_8:-:*:*:*:*:*:*:*
cpe:2.3:o:microsoft:windows_8.1:-:*:*:*:*:*:*:*

Configuration 5 (hide)

AND
cpe:2.3:a:adobe:flash_player_desktop_runtime:*:*:*:*:*:*:*:*
OR cpe:2.3:o:apple:macos:-:*:*:*:*:*:*:*
cpe:2.3:o:microsoft:windows:-:*:*:*:*:*:*:*

Configuration 6 (hide)

AND
cpe:2.3:a:adobe:air_desktop_runtime:*:*:*:*:*:*:*:*
OR cpe:2.3:o:apple:macos:-:*:*:*:*:*:*:*
cpe:2.3:o:microsoft:windows:-:*:*:*:*:*:*:*

Configuration 7 (hide)

AND
cpe:2.3:a:adobe:air_sdk:*:*:*:*:*:*:*:*
OR cpe:2.3:o:apple:iphone_os:-:*:*:*:*:*:*:*
cpe:2.3:o:apple:macos:-:*:*:*:*:*:*:*
cpe:2.3:o:microsoft:windows:-:*:*:*:*:*:*:*

Configuration 8 (hide)

AND
cpe:2.3:a:adobe:air_sdk:*:*:*:*:*:*:*:*
cpe:2.3:o:google:android:-:*:*:*:*:*:*:*

Configuration 9 (hide)

OR cpe:2.3:o:opensuse:evergreen:11.4:*:*:*:*:*:*:*
cpe:2.3:o:opensuse:opensuse:12.3:*:*:*:*:*:*:*
cpe:2.3:o:opensuse:opensuse:13.1:*:*:*:*:*:*:*
cpe:2.3:o:suse:linux_enterprise_desktop:11:sp3:*:*:*:*:*:*

History

10 Nov 2021, 17:11

Type Values Removed Values Added
References (SUSE) http://lists.opensuse.org/opensuse-updates/2014-10/msg00033.html - (SUSE) http://lists.opensuse.org/opensuse-updates/2014-10/msg00033.html - Third Party Advisory
References (SUSE) http://lists.opensuse.org/opensuse-security-announce/2015-04/msg00013.html - (SUSE) http://lists.opensuse.org/opensuse-security-announce/2015-04/msg00013.html - Mailing List, Third Party Advisory
References (SECTRACK) http://www.securitytracker.com/id/1031019 - (SECTRACK) http://www.securitytracker.com/id/1031019 - Third Party Advisory, VDB Entry
References (REDHAT) http://rhn.redhat.com/errata/RHSA-2014-1648.html - (REDHAT) http://rhn.redhat.com/errata/RHSA-2014-1648.html - Broken Link
References (MISC) http://www.zerodayinitiative.com/advisories/ZDI-14-365/ - (MISC) http://www.zerodayinitiative.com/advisories/ZDI-14-365/ - Third Party Advisory, VDB Entry
References (SECUNIA) http://secunia.com/advisories/61980 - (SECUNIA) http://secunia.com/advisories/61980 - Third Party Advisory
References (BID) http://www.securityfocus.com/bid/70441 - (BID) http://www.securityfocus.com/bid/70441 - Third Party Advisory, VDB Entry
References (SUSE) http://lists.opensuse.org/opensuse-security-announce/2014-11/msg00002.html - (SUSE) http://lists.opensuse.org/opensuse-security-announce/2014-11/msg00002.html - Mailing List, Third Party Advisory
CWE NVD-CWE-noinfo CWE-190
CPE cpe:2.3:a:adobe:flash_player:11.2.202.228:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.400:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.336:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:13.0.0.231:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.235:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.280:*:*:*:*:*:*:*
cpe:2.3:a:adobe:adobe_air_sdk:14.0.0.137:*:*:*:*:*:*:*
cpe:2.3:a:adobe:adobe_air_sdk:14.0.0.178:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:13.0.0.182:*:*:*:*:*:*:*
cpe:2.3:a:adobe:adobe_air_sdk:13.0.0.83:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.332:*:*:*:*:*:*:*
cpe:2.3:a:adobe:adobe_air_sdk:13.0.0.111:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.297:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.261:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.258:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.251:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.310:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.243:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.378:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.236:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.223:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.350:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.394:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:13.0.0.241:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:13.0.0.201:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:13.0.0.223:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:15.0.0.152:*:*:*:*:*:*:*
cpe:2.3:a:adobe:adobe_air_sdk:14.0.0.110:*:*:*:*:*:*:*
cpe:2.3:o:microsoft:windows:*:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.356:*:*:*:*:*:*:*
cpe:2.3:a:adobe:adobe_air:14.0.0.137:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:13.0.0.206:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.233:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.285:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.341:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.238:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.275:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.291:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.270:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:14.0.0.179:*:*:*:*:*:*:*
cpe:2.3:o:apple:mac_os_x:*:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.335:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:13.0.0.214:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:14.0.0.145:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.273:*:*:*:*:*:*:*
cpe:2.3:a:adobe:adobe_air:*:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.262:*:*:*:*:*:*:*
cpe:2.3:a:adobe:adobe_air_sdk:*:*:*:*:*:*:*:*
cpe:2.3:a:adobe:adobe_air:14.0.0.110:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:15.0.0.144:*:*:*:*:*:*:*
cpe:2.3:a:adobe:adobe_air:14.0.0.179:*:*:*:*:*:*:*
cpe:2.3:a:adobe:adobe_air:13.0.0.111:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:14.0.0.125:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:14.0.0.176:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.346:*:*:*:*:*:*:*
cpe:2.3:a:adobe:adobe_air:13.0.0.83:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:11.2.202.359:*:*:*:*:*:*:*
cpe:2.3:a:adobe:adobe_air:14.0.0.178:*:*:*:*:*:*:*
cpe:2.3:o:apple:macos:-:*:*:*:*:*:*:*
cpe:2.3:o:google:android:-:*:*:*:*:*:*:*
cpe:2.3:o:opensuse:opensuse:13.1:*:*:*:*:*:*:*
cpe:2.3:o:suse:linux_enterprise_desktop:11:sp3:*:*:*:*:*:*
cpe:2.3:o:microsoft:windows_8:-:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player_desktop_runtime:*:*:*:*:*:*:*:*
cpe:2.3:a:adobe:air_sdk:*:*:*:*:*:*:*:*
cpe:2.3:o:opensuse:evergreen:11.4:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:*:*:*:*:*:chrome:*:*
cpe:2.3:o:microsoft:windows:-:*:*:*:*:*:*:*
cpe:2.3:o:linux:linux_kernel:-:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:*:*:*:*:*:internet_explorer_10:*:*
cpe:2.3:o:opensuse:opensuse:12.3:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:*:*:*:*:*:internet_explorer_11:*:*
cpe:2.3:o:apple:iphone_os:-:*:*:*:*:*:*:*
cpe:2.3:o:microsoft:windows_8.1:-:*:*:*:*:*:*:*
cpe:2.3:a:adobe:air_desktop_runtime:*:*:*:*:*:*:*:*
cpe:2.3:a:adobe:flash_player:*:*:*:*:extended_support:*:*:*
CVSS v2 : 10.0
v3 : unknown
v2 : 9.3
v3 : unknown

Information

Published : 2014-10-15 10:55

Updated : 2023-12-10 11:31


NVD link : CVE-2014-0569

Mitre link : CVE-2014-0569

CVE.ORG link : CVE-2014-0569


JSON object : View

Products Affected

adobe

  • air_sdk
  • flash_player_desktop_runtime
  • flash_player
  • air_desktop_runtime

microsoft

  • windows_8.1
  • windows
  • windows_8

suse

  • linux_enterprise_desktop

opensuse

  • evergreen
  • opensuse

google

  • android

apple

  • macos
  • iphone_os

linux

  • linux_kernel
CWE
CWE-190

Integer Overflow or Wraparound